scala.tools.nsc.ast.TreeDSL

# CODE

#### object CODE

Source
  TreeDSL.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CODE
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class CaseStart extends AnyRef

2. #### class IfStart extends AnyRef

3. #### case class SelectStart(tree: Global.Select) extends Product with Serializable

4. #### class TreeMethods extends AnyRef

5. #### class TryStart extends AnyRef

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def AND(guards: Global.Tree*): Global.Tree

5. #### def BLOCK(xs: Global.Tree*): Global.Block

6. #### def CASE(pat: Global.Tree): CaseStart

7. #### def DEFAULT: CaseStart

8. #### def FALSE: Global.Literal

9. #### def IF(tree: Global.Tree): IfStart

10. #### object LIT extends (Any) ⇒ Global.Literal

11. #### def NEW(tpt: Global.Tree, args: Global.Tree*): Global.Tree

12. #### def NOT(tree: Global.Tree): Global.Select

13. #### def NULL: Global.Literal

14. #### def REF(pre: Global.Type, sym: Global.Symbol): Global.RefTree

15. #### def REF(sym: Global.Symbol): Global.RefTree

    Typed trees from symbols.

16. #### def SOME(xs: Global.Tree*): Global.Tree

17. #### def TRUE: Global.Literal

18. #### def TRY(tree: Global.Tree): TryStart

19. #### def UNIT: Global.Literal

20. #### def ZERO: Global.Literal

21. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

22. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

25. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

26. #### def fn(lhs: Global.Tree, op: Global.Symbol, args: Global.Tree*): Global.Apply

27. #### def fn(lhs: Global.Tree, op: Global.Name, args: Global.Tree*): Global.Apply

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

30. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

31. #### implicit def mkTreeFromSelectStart(ss: SelectStart): Global.Select

    (foo DOT bar) might be simply a Select, but more likely it is to be immediately followed by an Apply.

    (foo DOT bar) might be simply a Select, but more likely it is to be immediately followed by an Apply. We don't want to add an actual apply method to arbitrary trees, so SelectStart is created with an apply - and if apply is not the next thing called, the implicit from SelectStart -> Tree will provide the tree.

32. #### implicit def mkTreeMethods(target: Global.Tree): TreeMethods

    Implicits - some of these should probably disappear *

33. #### implicit def mkTreeMethodsFromSelectStart(ss: SelectStart): TreeMethods

34. #### implicit def mkTreeMethodsFromSymbol(target: Global.Symbol): TreeMethods

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### final def notify(): Unit

    Definition Classes
      AnyRef

37. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

38. #### def nullSafe[T](f: (Global.Tree) ⇒ Global.Tree, ifNull: Global.Tree): (Global.Tree) ⇒ Global.Tree

39. #### def returning[T](x: T)(f: (T) ⇒ Unit): T

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toString(): String

    Definition Classes
      AnyRef → Any

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped